Subject: Re: [Tools-discuss] possible bug in template check

From: Lars Eggert <[email-masked]>
Date: Thu, 1 Jun 2006 09:37:46 +0200

Henrik,

On Jun 1, 2006, at 1:32, Henrik Levkowetz wrote:
> The ID-Checklist isn't checked by the secretariat, and isn't a
> requirement for submitting an ID; it's a checklist for drafts
> submitted for publication as RFC.
>
> The document the secretariat goes by is the ID-guidelines
> (http://www.ietf.org/ietf/1id-guidelines.html) which has less strict
> requirements in some respect, but also has some requirements which  
> aren't
> mentioned in the ID-Checklist.

good point.

> Possibly idnits should have switches to control whether it should
> check the checklist, the guidelines, and the extra checks.  I have
> no idea which mode should be the default, since idnits usage seems
> to be shifting from the original early adopters, ADs, via chairs
> using it before sending a draft up for publication, to now more and
> more people using it before submitting even early versions.

IMO it should flag all things fishy together with according to which  
source of rules  those things are flagged, and have command-line  
options to turn off certain rulesets.

But that's probably for the future. For now, I've been convinced that  
the current behavior is a feature :-)

Thanks,
Lars
-- 
Lars Eggert                                     NEC Network Laboratories

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss